# Report Type: floodlightActivity

Configuration attributes for Floodlight activities.


This report can only be returned by an asynchronous request (that is, via the
[Reports.request()](https://developers.google.com/search-ads/v2/reference/reports/request) method).

### Request excerpt


Send a regular
[Reports.request()](https://developers.google.com/search-ads/v2/reference/reports/request)
request body, but specify `"reportType": "floodlightActivity"`.

```
{
...
  "reportType": "floodlightActivity",
  "columns": [
    {
      "columnName": string,
      "headerText": string,
      "startDate": string,
      "endDate": string
    }
  ],
  "filters": [
    {
      "column": {
        "columnName": string,
      },
      ...
    },
    ...
  ],
...
}
```


For each column that you want returned or filtered in the report,
specify the `columnName` listed in the table below.
You can also optionally specify
[headerText](https://developers.google.com/search-ads/v2/reference/reports#request.columns.headerText),
[startDate](https://developers.google.com/search-ads/v2/reference/reports#request.columns.startDate),
and [endDate](https://developers.google.com/search-ads/v2/reference/reports#request.columns.endDate).
Note that some columns cannot be filtered; refer to "Filterable" in the table below.

| `columnName` | Description | Behavior | Type | Filterable |
|---|---|---|---|---|
| `status` | The status of the Floodlight activity: `Active` or `Removed`. | attribute | `Status` | Yes |
| `creationTimestamp` | Timestamp of the Floodlight activity's creation, formatted in ISO 8601. | attribute | `Timestamp` | Yes |
| `lastModifiedTimestamp` | Timestamp of the Floodlight activity's most recent modification, formatted in ISO 8601. | attribute | `Timestamp` | Yes |
| `floodlightGroup` | Floodlight group name. | attribute | `String` | Yes |
| `floodlightGroupConversionType` | The type of conversions generated by Floodlight activities in this group: `Action` or `Transaction`. | attribute | `Conversion type` | Yes |
| `floodlightGroupId` | DS Floodlight group ID. | attribute | `ID` | Yes |
| `floodlightGroupTag` | Floodlight group tag. | attribute | `String` | Yes |
| `floodlightConfigurationId` | Campaign manager Floodlight configuration ID. | attribute | `ID` | Yes |
| `floodlightActivity` | Floodlight activity name. | attribute | `String` | Yes |
| `floodlightActivityId` | DS Floodlight activity ID. | attribute | `ID` | Yes |
| `floodlightActivityTag` | Floodlight activity tag. | attribute | `String` | Yes |
| `agency` | Agency name. | attribute | `String` | Yes |
| `agencyId` | DS agency ID. | attribute | `ID` | Yes |
| `advertiser` | Advertiser name. | attribute | `String` | Yes |
| `advertiserId` | DS advertiser ID. | attribute | `ID` | Yes |